gcpBlendColor(3)

NAME
gcpBlendColor : Color blending

SYNOPSIS
#include <ggi/gcp.h>
gcp_pixel gcpBlendColor(ggi_visual_t vis,
                        const gcp_pixel *pix1, const gcp_pixel *pix2,
                        uint16_t alpha);

DESCRIPTION
gcpBlendColor blends pix2 over pix1 with the translucency alpha, with pix1 as the background, pix2 the forground. alpha is a 16bit translucency channel.

RETURN VALUE
gcpBlendColor returns the resulting gcp_pixel(3) value.